# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Direction_Glue			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

Direction_Glue_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/Direction_Glue

#-----[ Library ]------------------------------------------

Direction_Glue_LIBRARY		= 	-lDirection_Glue	\
					$(Behavioural_LIBRARY)	

Direction_Glue_DIR_LIBRARY		=	-L$(Direction_Glue_DIR)/lib	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Direction_Glue_library		:
				@\
				$(MAKE) Behavioural_library;		\
				$(MAKE) --directory=$(Direction_Glue_DIR) --makefile=Makefile;

Direction_Glue_library_clean	:
				@\
				$(MAKE) Behavioural_library_clean;	\
				$(MAKE) --directory=$(Direction_Glue_DIR) --makefile=Makefile clean;
